The installation of Teach2000

Choose one of the following subjects:
  • System requirements
  • Install
  • Teach2000 in a network
  • Uninstall

back to start
copyright © 1997-2007 basement.nl / bas groot


System requirements

To install and run Teach2000, your system has to meet the following requirements:
  • Windows 98SE or a newer version of Windows must be installed.
    Some features only work on Windows XP and Vista, and are disabled on Windows 98.
  • A processor speed of 120 MHz.
  • 64 MB RAM.
  • 15 MB free diskspace.
Nice to have...
  • A sound card, to listen to the questions.
  • A videocard with 256 colors, to see the pictures/movies that belong to the questions.

back to start - installation


Install

Install Teach2000 by downloading the setup from http://teach2000.memtrain.com.

Run this setup and follow the steps.
back to start - installation


Teach2000 in a network

Teach2000 can operate in a Windows NT/200x/Novell network with central (server) storage of data/lists.

You need all the files as placed in the normal installation folder. The setup does't place files anywhere else on the system.

The t2k documents (question lists) can be placed on the network too.

Every client pc can be provided with a shortcut to Teach2000.exe on the network.

For the technicians

Make an association to the Teach2000 document (t2k) in the registry (in this example Teach2000.exe is located in 'X:\Dirname'):

[HKEY_CLASSES_ROOT\.t2k]
@="Teach2000.Document"
[HKEY_CLASSES_ROOT\Teach2000.Document]
@="Teach2000 Document"
[HKEY_CLASSES_ROOT\Teach2000.Document\shell]
[HKEY_CLASSES_ROOT\Teach2000.Document\shell\open]
[HKEY_CLASSES_ROOT\Teach2000.Document\shell\open\command]
@="\"X:\\Dirname\\Teach2000.exe\" \"%1\""

A log file of the installation can be generated by starting the installer with parameter /LOG.

A remote installation can be executed using parameters /SILENT or /VERYSILENT.

Other optional parameters are:

/NOCANCEL
/NORESTART
/SAVEINF="filename"
/DIR="x:"
/GROUP="folder name"
/NOICONS
/RESTARTEXITCODE=exit code

Parameters for the uninstaller (unins???.exe) are:

/SILENT, /VERYSILENT
/NORESTART
back to start - installation


Uninstall

Undo the installation by choosing Teach2000 from the start menu, followed by 'Uninstall Teach2000'.
back to start - installation


Input

Entering the questions is the first step. Use the 'simple edit mode' for basic question/answer combinations, and the 'advanced mode' if you want more.
Switch between these two modes by changing the combo box left from the menu bar.
  • Simple input mode
  • Advanced input mode
  • Add pictures/movies
  • Add sound
  • Alternative questions and answers
  • Translation Aid (dictionary)
  • Spelling checker
  • Foreign language characters, symbols and unicode
  • Greek
  • Phonetic symbols
  • Remove double questions
  • Combine question lists
  • Share lists
Alternatively, it is possible to load a list from file.
back to start


Simple input mode

The simple input is very flexible. Enter the questions in the memo above. Start with the question (foreign word/sentence). Add a separation (=) and complete the line with the answer (translation).
Input can be copied from a different application.

The separation can be a different symbol than the default '='. To change it, change the separation in the combo box.

Example:
une = one
deux = two
trois = three

(The separation is '=')

If 'une' has two translations, you can enter this:
une = one; 1

Even more translations:
une = one; 1; One

Sometimes the question can have alternatives:
une; un = one; 1; One

Enter remarks?
Use curly brackets (braces):
question = answer { And here is my remark, visible during the test. }

Enter multiple-choice questions in the simple input? It is possible, but for this it is advisable to use the advanced input mode.
Use square brackets and an asterisk for the right answer.
trois = [one][two][three*]

To complete the edit, click [Down]. The question will be transferred to the grid below. Time to start a test!

The words can be edited when they are down in the grid. Just select them with your mouse.

If the question or second answer is marked with the red word 'more', it means this word has synonyms.
To modify these, choose for 'edit alternative questions' in the pop-up dialogue or 'edit alternative answers'.

Sort the list by clicking on the header of the column.

It is possible to change the order of the questions, by dragging them with your mouse.

Use the pop-up menu to move the questions to the answers and vice versa. Or to make selections, or to find double questions/answers.
back to start - input


Advanced input mode

The advanced input mode has (surprise, surprise!) more options.
It is possible to give comment per question, an answer may fill multiple lines, and multiple-choice questions can be defined.

Enter the question in the window 'question', for example 'une'.
Enter the translation in the window 'answer (translation)', for example 'one'.
If required, add a second translation in the window 'optional second answer'.

Sometimes it is convenient to get a remark or hint when doing a test. This can be typed in the field 'Remarks (visible during test)'.

If you have finished the input, click Save (Save question) (Alternatively use the key combination [CTRL][Enter]).

..and the next question can be entered..

When the list gets longer, quick navigation is possible using the scroll bar.

Use the button Delete to delete items.

It is possible to define multiple-choice questions. They will be presented exactly as defined.
For this purpose, change the 'Type of question' from [Normal] into [Multiple-choice]. Options A-F can be entered.
Check the correct answer.

As a variation the 'Yes/No question' exists. This is a multiple-choice question with the options 'Yes' and 'No'.

It is possible to add sound to the question, for a real 'reHEARsal'. This is good for learning the pronunciation. Choose Add sound.

Also a picture can be added to your list. See Add pictures and movies.

Especially for the dyslexic it is possible to 'label' the questions. With this label you can visualize whether a word is masculine, feminine or neuter. And with the label 'Pay Attention!' you can show that the question needs extra attention.
Other labels are: noun, adjective, verb and expression.
This extra information is shown as a color in the background.

Parts of the question can be made bold, italic or red. Or parts of the question can be underlined. Super2+ and subscript can be used for chemical formulas.

When finished with the input, the test can be started.
back to start - input


Add pictures/movies

Use a picture or an animation to make the question more clear.

It is possible to add a picture in the simple mode and in the advanced input mode.
Advanced input mode:
Click the button Picture: . A dialog appears.

Simple input mode:
Select the column 'Picture' in the final question list and click the button with the three dots.

The available options are Open, Clear and Preview.

Open Open: Select the image file.

Clear Clear: Clear the selected image file. The image itself will remain on disk!

Preview Preview: Display the selected picture.

The supported formats are: JPG, PNG, GIF, BMP, ICO, Windows metafiles and Enhanced metafiles.
You can select movie files as well. Select "All files *.*" in the open dialog.

The file name will be saved as 'absolute file name'. This means drive\folder\filename, e.g. 'C:\My Documents\question1.bmp'.
If the list has been saved before, it is possible to use a 'relative file name'.
This means the picture file name with respect to the location of the list to which it belongs e.g. 'question1.bmp'.
The advantage of using relative file names is that it is easier to move them along with the list they belong to.
back to start - input


Add sound

Use a sound/spoken word to make the question more clear.

It is possible to add a picture in the simple mode and in the advanced input mode.

Simple input mode:
A sound file (formats MP3 and WAV) can be linked to a question by selecting the column 'Sound file' in the final question list. Click the button with the three dots.

Advanced input mode:
If you need more, use the advanced input mode.
Click the button Sound (Sound). A dialog will appear.

The available options are Open, Clear, Play and Record.

Open Open: Select the sound file (wav or mp3).

Clear Clear: Clear the selected sound file link. The file itself will remain on disk!

Play Play: Play the selected sound.

Record Record: Open the Windows Sound Recorder.

The file name will be saved as 'absolute file name'. This means drive\folder\filename, e.g. 'C:\My Documents\question1.mp3'.
If the list has been saved before, it is possible to use a 'relative file name'.
This means the sound file name with respect to the location of the list to which it belongs e.g. 'question1.mp3'.
The advantage of using relative file names is that it is easier to move them along with the list they belong to.

back to start - input


Alternative questions and answers

The same answer can be formulated in different ways. For example, the French 'Excusez moi' can be translated with 'I beg your pardon', with the second, optional translation 'Sorry'.
Unfortunately these translations don't cover them all. Other options are 'Pardon me', 'I am sorry', 'Excuse me'.

On the other hand, if the test is English - French, the translation can be 'Excusez moi', 'Je vous demande pardon', etcetera. These extra translations can be added easily.

The 'advanced input mode' contains two extra buttons, 'Alternative questions' and 'Alternative answers'.
If you push one of these buttons a dialog box will appear where the alternatives can be entered.
A large list of synonyms is allowed. The alternatives will be accepted as correct answers.

Test

It is possible to add synonyms during a test. After an answer that is in fact correct, but which was judged as wrong, click the button 'The last answer was not wrong'. The option to save this answer as an alternative answer will be presented.
back to start - input


Translate

Translation Aid

Teach2000 contains a translation guide. With this, it is possible to translate text in the following languages:
  • Afrikaans
  • Dutch / Flemish
  • English
  • French
  • Frisian
  • German
  • Italian
  • Latin
  • Portuguese
  • Spanish
  • Swahili
  • Swedish
To start a translation choose from the menu [Edit][Translation Aid].

Select the source language and the target language, add words you want to translate and click on the arrow.
It is possible to translate more than one word at a time.

To find synonyms, make source and target language the same.
back to start - input


Spell checker

Spelling checker

Teach2000 contains a spelling checker for the following languages:
  • Afrikaans
  • Dutch / Flemish
  • English
  • French
  • Frisian
  • German
  • Italian
  • Latin
  • Portuguese
  • Spanish
  • Swahili
  • Swedish
To start the spelling checker, choose from the menu [Edit][Spelling checker...].

A dialog will appear. Choose the language of the question column and the answer column.

The suggestions are an indication. This spelling checker can make a mistake! Words that are not recognized, can be added to the dictionary.

This dictionary is saved in the folder 'Application Data' in your profile.
Example:
C:\Documents and Settings\Gebruikersnaam\Application Data\Basement\FreeSpeech\FreeSpeech_TAAL.dic

The files are plain text files and can be modified with a text editor.
back to start - input


Foreign language characters, symbols and unicode

Foreign language can contain unusual symbols. For example the German Eszett is nog located on our keyboard. Spanish language has inverted question and exclamation marks, and French has cedillas, accents, tremas, circumflexes and ligatures.

These, and more foreign symbols can be entered with the symbol screen. Open it by clicking the Symbol button, Symbols.
The symbols displayed in this screen can be modified. See the chapter "Modify Symbols".

If the symbol of your choice is not available, choose from the menu [Settings][Preferences] Function keys definition. In this way it is possible to program symbols/words behind the F-keys.

Greek

To enter Greek it is possible to use unicode, but for convenience Teach2000 contains a Greek font.
More information: Greek.

Unicode

Japanese, Russian, Arabic, Chinese, Hebrew and other languages have a script that does not fit on the US keyboard.

Unicode is an industry standard designed to allow text and symbols from all of the writing systems of the world to be consistently represented and manipulated by computers.
Source: Wikipedia.

Windows 2000, XP and Vista support the use of unicode. Arial is a font that contains unicode symbols.

Creating unicode words is possible in different ways.

MS Word has a lot of unicode capabilities, and moving content to and from Teach2000 is possible. Just use Copy and Paste. In Word: Add unicode symbols by selecting the symbol editor ([Insert][Symbol]). Select 'Arial' and the desired subset, for example Cyrillic.
Find the symbol you need and click on it.

Is MS Word not available? Use Charmap. Open this application by choosing [Start][Run]. Enter 'charmap' and click OK.
Select 'Arial', 'Advanced view' and the desired Character set, for example Windows: Turkish. Click the symbols you look for. Use copy to move the selected symbols to the clipboard.
Paste the contents of the clipboard in Teach2000.

Choose [Start][Control Panel][Regional and Language Options]. Select Languages and Details. The input languages can be added here. Install the desired languages.
Start Teach2000 and change the language displayed on the task bar.

Modify Symbols

The symbols displayed in the screen 'Symbols' can be modified. To do this, open the file 'symbols.txt' from the installation folder with Notepad, make the modifications and save the changes. Restart Teach2000 and the modifications will be visible.
Four symbols on one line!
back to start - input


Greek

Entering Greek language is easy:

The menu bar contains two font selectors. The first is the font of the questions, the second for the font of the answers.

Change the first font selector to 'Greek'.

Everywhere in Teach2000 the question will be displayed in Greek symbols.

To know which key to use for which symbol, select from the menu [View][Ancient Greek keyboard].

Better, but more complicated is to use unicode for entering Greek language. For unicode see Unicode.
back to start - input


Phonetic symbols

Phonetic transcription (or phonetic notation) is the visual system of symbolization of the sounds occurring in spoken human language. The most common type of phonetic transcription uses a phonetic alphabet (such as the International Phonetic Alphabet).
Source: Wikipedia.

Teach2000 has integrated support for the International Phonetic Alphabet (IPA).

To enter phonetic symbols, choose from the menu [View][Phonetic symbols]. Build the phonetic transcription in the screen that appears.
The phonetic transcription can be added to a question as extra comment. Select the font 'Lucida Sans Unicode' for this task.

To finish the phonetic transcription, select Copy to move the text to the clipboard. The clipboard can be pasted in the field 'Remarks'.

To make use of this feature, the font Lucida Sans Unicode must be installed on the computer. The font comes standard with Windows. If the font is missing, download it for free here.

The screen lay-out is based on Phonmap, the Phonemic Script Writer of Jan Mulder, phonmap.com.
back to start - input


Remove double questions

Double questions can be removed from the list.
Choose [Remove double questions] from the pop-up menu of the final question list.

First redundant question/answer combinations are removed.

After doing that, Teach looks for questions that are redundant, but have different answers.
Example:
groot = big
vet = big

After this the combination will be made:
groot; vet = big.

Having done that, Teach will look for different answers with the same question:
groot = large
groot = big

After this the combination will be made:
groot = large; big

back to start - input


Combine question lists

Don't make the question list too long! Although it is possible to work with selections, it is recommended to make lists with a max. of ± 50 questions.

For a large test, just combine lists.
To do this, open the first one and choose from the menu [File][Insert file].

If CTRL is pressed, it is possible to select more than one list.
back to start - input


Share lists

Unfortunately, the Teach2000 Share option is not available in the English version.
back to start - input


Test

The second and most important part of Teach2000 is the test.

The test (quiz) will start directly after the tab 'Test' has been opened. You can give the answer to the first question.

The test stops if a setting is changed, if you go back to the Edit screen, or if all the questions have been answered.
It is possible to go back to the Edit screen, make a modification to a question, and continue the test.
  • Test settings
  • 'The last answer was not wrong' button
  • Result chart
  • Pronunciation (computer, English)
If your answer is wrong, the right answer is displayed, with the differences between them (spelling checker).
Colors:
  • Black - Characters of both your answer and the right answer are equal.
  • Red - Characters are different.
  • Green - A character is missing in your answer.
  • Blue - The character is only in your answer.
If you don't know the answer, ask for a hint. Choose from the menu [Help][Show hint].
If a hint is shown it will cost you bonus points. You can earn bonus points if your answer was wrong, but with small differences. Five bonus points are good for an extra correct answer.

The result of the test is displayed in the screen bottom-right. Move the borders to see the results better, or hide it.

If an answer contains multiple lines, and you want to make a new line, type [CTRL] + [Enter].

When the test is finished the result, in combination with previous results, will be shown in a chart.
back to start


Test settings

To make the test more easy, or more difficult, change the settings of the test with the following parameters.
Experiment with them!
  • Selection
  • Ask
  • Order
  • Type
  • Repetition
  • Match
The redder the color of the Log book, the more difficult your test is. The color re-appears in the result chart.
back to start - test


Test setting Selection

This is the selection of the questions that appear in the test. Default setting is all questions (Complete), but by changing this setting to 'Previously made mistakes', the questions that were answered wrongly in previous tests are included only.

All the options:

Complete

This is the default 'Selection'. All questions appear in the test.

Previously made mistakes

All questions are included that were answered wrong once.

Make selection

It is possible to make a selection. This is used for small subsets of a big list. The selection screen will be displayed. To make a selection fast, use the arrow buttons and the space bar to select/unselect questions.

Top 10 problem questions

The ten most difficult questions of the list. This number can be modified in the settings dialog.

Random selection of 10 questions

Make a real test, to see if you know the list well-enough. Teach2000 selects ten questions randomly.

Only newly added questions

If you added questions to the test, you can practise them only by setting this option.

Leave questions you already memorized

If a question has been answered correctly four times in a row, it won't appear in the test when this option is set.
back to start - test - test settings


Test setting Ask

With this option the way of practising is set, 'Foreign-native' (eg. Spanish-English), 'Native-foreign' (eg. English-Spanish) or 'Both ways'.

The easiest is 'Foreign-native'; more difficult is 'Both ways'.

Both ways

The questions will be asked both 'Foreign-native' and 'Native-foreign'.

Native-foreign without remarks

For learning words, context is very important.

Many lists contain sample sentences (context). This is often necessary, to know which translation is meant e.g. ('punir' = 'punish', but also 'visit').

The context is presented as extra information in e.g.("Peut-on fonder le droit de punir?").

If the setting is English-French, the context is visible, that's why this setting is available.
back to start - test - test settings


Test setting Order

Often you may want to start practising the questions in the regular order of the list. Alternatively, other options are to shuffle the list (random order), or test in reverse order (backwards).
back to start - test - test settings


Test setting Type

This is the setting for the type of test. For example a multiple-choice quiz (MCQ), or the game Space Invaders.

Normal

The default test: plain question/answer questions.

Puzzle

The answer is shredded by a meat grinder. It is your job to solve the puzzle!

Multiple-choice

To start memorizing the list, it is recommended to start with a multiple-choice quiz. You can click on the right answer with your mouse. Teach2000 has two types of multiple-choice questions. One that selects similar answers, and one that selects random answers.

Flashcard quiz

It is more easy to do a flashcard quiz. The question is shown and you must try to find the answer. Typing it is not important now. To cancel the quiz press 'Cancel'.

Writing Test

Another type of test is 'dictation'. The answer is shown for a number of seconds, and you have to copy it.

Space Invaders

Try the game Space Invaders. See Space Invaders for more info.

Method 'The English Teacher'

This is the most difficult type of test. Every wrong key pressed, immediately leads to a wrong answer. In this way it is not possible to learn wrong prepositions, for example.
back to start - test - test settings


Space Invaders - The Game

In Space Invaders you have to rescue the world from bad questions from space. They want to destroy your space ship. Kill them by typing the right answer. Your crew consists of twenty fully-armed soldiers. Our high score was 9660, level 17.

To load the game, choose for test type 'Space Invaders'.

Space Invaders will start if you hit 'Play'.

The crew consists of twenty soldiers (20 lives). Level 1 is easy. If the bad question is killed fast, the score will be higher.

Cancel the game by hitting 'Exit'. But try to get to the last level, if you dare!!

Modify levels

Add your own levels! Or modify the existing ones!
To do this, open the folder C:\Program Files\Teach2000\SpaceShips, and edit the JPG images. New images can be added for new levels.
Sound files (wave) can be added with the same name of the image, with an extra ".wav".
back to start - test - test settings - type


Test setting Repetition

If you want to repeat the questions without any intelligence regarding the mistakes, choose 'Repeat'. If you want to repeat the mistakes after the questions have been answered, choose 'Repeat errors'.

If you choose 'No repetition', the results chart is shown after one loop.

Interval training (Paul Pimsleur)

According to linguistics, an interval training (Spaced repetition) is the best way to memorize a list.

Dr. Paul Pimsleur made such an algorithm, Graduated Interval Recall, and Teach2000 implemented a basic version of it.
http://en.wikipedia.org/wiki/Pimsleur_language_learning_system

This method is based on repetition. If the answer is correct, it will be repeated later than when it was wrong.
If the answer is correct four times in a row, you have memorized the question and during this quiz the question won't come back.
back to start - test - test settings


Test setting Match

The answer must be written exactly the same as the answer in the list. This may prove difficult at times. Sometimes you may want to ignore certain uppercase characters or punctuation marks. This can be done with the setting 'Match'. It is also possible to ignore the word order.
back to start - test - test settings


'The last answer was not wrong' button

Sometimes it may happen that your answer was in fact correct, but it is judged by the program as being wrong. Just because your answer is not spelled exactly the same as in the list. There is a cure for this dyslexic mistake.

Use the 'this answer is not wrong button' [image]. By pressing this button is is possible to mark the last answer given as a correct answer.

Furthermore, Teach2000 comes with the question if you want to add this answer to the list (alternative answer), for future tests.
back to start - test


Result chart

After a test the results are shown in a chart.
The last fifteen scores are visible, from left to right.

It is possible to add your comments to the results. Comments can be made visible by clicking on the bar in the chart.

The bars are colored from yellow to red, in a gradient, where yellow means an easy test, and red a difficult one. To interpret the results, remember that the redder the color, the more difficult the test can be.

The difficulty (gradient) is visible during the test in the Log book.
back to start - test


Pronunciation (computer, English)

Speech technology can be used to learn the pronunciation of a word or sentence.
But don't expect too much. The text-to-speech (TTS) technology is not a natural voice. This voice is like the metal robot from an old science fiction movie.

Turn on speech from the menu [Settings][Speech]. The voice will announce itself.

It is fun to experiment with... Windows XP and Vista are capable of this technology for English. It is not possible for other languages to work with this voice. To do that, you have to download other text-to-speech engines.

You have to download and install the Speech API 5.1 manually for older versions of Windows: speechsdk51.exe.

More info:
Microsoft: http://www.microsoft.com/speech

Go to the Control Panel for the settings of these voices, and select 'Speech'.

Record and play your own voice?
Add sound
back to start - test


Print

The list can be printed in different ways. Choose in the menu [File][Print].
  • Test
  • Crib note
  • Flashcards

back to start


Print test

It is possible to print a test, which may be convenient for teachers.

This is especially useful when multiple versions of a test are needed. Versions are distinguished by their unique id.

Step 1

Enter the questions in Teach2000. These can be open questions, but also multiple-choice questions. The multiple-choice or yes-no questions can be entered in the advanced input mode.

Step 2

Choose [File][Print][Test] in the menu. Enter 'Title', 'Topic', your name etcetera. Fields marked with an asterisk are compulsory. It is also possible to have the logo of the school printed.

Step 3

It is possible to change the number of blank lines between the questions and the score per question. To do this for all the questions in one go, use the pop-up menu. For each multiple-choice question it is possible to have the answers shuffled. This way the versions are really different.

Step 4

Choose 'Shuffle' to shuffle all the questions.

Step 5

Click 'Print'. The unique id for this test will change. Repeat step 4 for a different version. Tip:
In the header of the pages the page numbers are displayed (Page 1 of 4). In the footer, the file name and the date are shown (file://C:\etc.). These are settings from Internet Explorer, not Teach2000's. To prevent this, start Internet Explorer and select [File][Page Setup]. The page settings will be displayed. Empty the header and footer field. Click [OK].
back to start - print


Print crib note

It is possible to print a crib note, which may be convenient for students.
Especially for those who did not use Teach2000 long enough!

It is illegal and therefore strictly prohibited to use a crib note during a test!

Therefore it is not possible in Teach2000 to print anything that only remotely looks like such a despicable piece of paper!

In particular not through the menu [File][Print][Crib note]. So you can save yourself the trouble...
back to start - print


Print flashcards

Flashcards are cards that can be used to memorize questions, without a computer.

It is possible to print this kind of cards, from the menu [File][Print][Flash cards].

The printed result, must be folded (gray line), with the text on the outside. Use some glue to stick the two sides together.
Cut the pieces apart with a pair of scissors.

Now you can practise without a computer, for example in the bus, on your way to school.
back to start - print


Advanced use

The following subjects are for the advanced user. You.
  • Import lists
  • Export lists (interoperability)
  • Preferences
  • Wrds
  • Open lists from a website
  • Add a new language
  • Back-up lists
  • Encryption
  • Embed multimedia
  • Teach2000 online - memtrain.com
  • Did you know...

back to start


Import lists

Lists can be imported from MS Word and MS Excel, just by copying a list and pasting it in the simple input window.
In addition to this, it is possible to scan lists from your book (OCR) and copy/paste them to Teach.

Did you know Teach2000 is capable of opening KVocTrain (Linux) lists? And lists made with DrillAssistant?

You can find KVocTrain and DrillAssistant here:

KVocTrain
DrillAssistant (Efka Soft)

Others:
BackPack
Vocatout

back to start - advanced use


Export lists (interoperability)

Did you know Teach2000 documents can be exported to Excel? And to a comma separated value (csv) file? This way it is possible to modify the lists in other applications.

To accomplish this, choose [File][Save as] in the menu. And select the type Microsoft Excel Workbook (xls), or Comma Separated Value (csv).

A different kind of export is to the clipboard. To do this, choose [File][Export to clipboard].
Now the list can be copied into Word, or other applications.

See also Generate webpage.
back to start - advanced use


Generate website

Generate webpage

Do you have a website, and you want to generate quizzes for it? Convert your list to an on-line test!
In the menu, select [Edit], [Generate webpage].

Make a choice between one of the quizzes.

Give the site a title and fill in the other data, if you want.

On the bottom you can select a style.

To save the webpage, hit 'Generate'.

After that, the file must be uploaded to the internet.
You can use the free FileZilla for this job.

For webdesigners: Create your own style?

Create your own style (css) by modifying one of the available styles of Teach2000.
Find them in the installation folder C:\Program Files\Teach2000\HTML Templates.

If you add a style, it will be added to the list of styles.

Support for Unicode

If you check 'Include PHP UTF8 header', the page will be saved in UTF8 format. An extra (PHP) header will be added to the page. To make use of this option, the server must support PHP and the file must have the extension '.php'.
<?php
header("Content-Type:text/html;charset=utf-8");
?>

Most of the time the default encoding is iso-8859-1 (HTTP 1.1-default). It is better to change this default to UTF-8.

Link:
www.w3.org/International/O-HTTP-charset
back to start - advanced use - export lists


Preferences

Teach2000 has many options. Open the preferences window by choosing [Settings][Preferences].

The preferences screen is displayed, with four categories.

Main
Edit
Test
Advanced

Main

Your language: Select your language.

It is possible to let Teach2000 check for an update once in a while. Enable or disable this at 'Periodically check for update'.
Check now: Check if an update is available.

Function keys definition: Program the characters behind the function keys.

Edit

Back-up overwritten lists to Recycle Bin: When you save your file, the old version will be overwritten. It is possible to get the old version back, by checking the recycle bin. To turn this feature off, uncheck this option. More: Back-up files.

Remember last folder used: Make the last active folder, the new active folder after a restart.

Insert file: Show source file in remarks: Add the name of the source file in the column 'Remarks' when lists are merged.

Number of recently opened files: Teach remembers the most recently opened documents. Enter a value from 0 to 10.

Test

Duration to display right answer: If your answer is wrong, the correct answer will be shown for a short period. Entering a value of 0 (do not show correct answer) is possible.

Display question number: Hide/show the number of the question.

Move question forward if answer is empty: If you don't know the answer, it is possible to move it further in the test, to answer it later.

Custom sound played after answer: You want a new sound? Use your own!

Number of questions in 'Top 10 problem questions': The number of questions included in the selection with the same name.

Norm: The percentage of answers that must be answered correctly for a sufficient grade. Some courses use the 60% norm, others the 80% norm.

Advanced

File associations: In the set-up Teach2000-files (.t2k) and DrillAssistant files (.ohw/.oh4) are associated with Teach2000.
Change these associations here.
back to start - advanced use


Wrds

Unfortunately the Wrds-connection from Teach2000 is only available in the Dutch version (Wrts).

back to start - advanced use


Open lists from a website

Beware, this chapter is for wizzkids/html programmers only!

Teach2000 documents can be linked to from a(n) (intranet) website with the url protocol t2kp.

Documents on the world wide web (internet)

On a website, you can link to Teach2000 documents:

Link: <a href="t2kp://www.teach2000.nl/Document.t2k">document</a>

Watch out! The full domain must be included in the href! And for sub domains, also "http" must be included:

Link: <a href="t2kp://http://lists.teach2000.nl/Document.t2k">document</a>

To make the link work, the URL Protocol t2kp must be registered on your machine. This happens automatically when Teach2000 is installed. Of course, Teach2000 must have access to the internet in order to download the linked document.

Documents on intranet

A link to a document on a logical drive is written like this:

Link: <a href="t2kp://C:\Program Files\Teach2000\Examples\Document.t2k">document</a>

If you click on this link, and the file C:\Program Files\Teach2000\Examples\Document.t2k exists, this file is opened in Teach2000.

Because it is not always possible to use the full path, it is also possible to use only the name of the file:

Link: <a href="t2kp://Document.t2k">document</a>

But to make this work, the path must be known on the machine that starts Teach2000. A registry section is available for storing the path:

HKEY_CURRENT_USER\Software\Teach2000\T2KP_Paths

The first 'String Value' in combination with the file name to an existing file, will be opened in the software.

Documents on CD/DVD

If the Teach2000 documents are stored on a CD/DVD drive, it is not possible to include the drive.

Link: <a href="t2kp://teach_files\Document.t2k">document</a>

All available drives will be combined with the given location in the link (teach_files\Document.t2k), and will be tried in order to open the file.
First:
Z:\teach_files\Document.t2k
After that:
Y:\teach_files\Document.t2k
And so on...

Dialog

If Teach2000 is started with the t2kp protocol, and the referred document can't be found with one of the methods above, a dialog will be shown, to manually point to the location of the document.
back to start - advanced use


Add a new language

Teach2000 has an English, a German and a Dutch version.
But it is also possible to make your own translation.

You can find all the text you see in the application, in the text file ml_english.txt (in the installation folder). This file can be modified to make your own translation.

The symbols %s and %d are placeholders for text (%s) and numbers (%d). They can be replaced with line ends as well.

Add a new language

  1. Make a copy of the file ml_english.txt.
  2. Rename it to ml_yourlanguage.txt, where yourlanguage is the language you will make this translation in.
  3. Replace &English with your language in the section [LANGUAGE], eg. '&Spanish'. This text will be shown in the language selection in the preferences dialog.
  4. The '&' symbol is the focus key. The character after it, will be underlined.
    Using the focus key, it is possible to navigate with the keyboard (Alt + underlined character).
    Try to keep the & characters in line with the ones used in Microsoft Office, as much as possible.
    Don't use the same focus key twice on one screen. Doing this, it is not possible to navigate to the second reference.
    This applies also to the menu. But in sub menus the focus key can be used again.
    Microsoft Office was the example for the text used in Teach2000. Using the same navigation and menu texts will make the user directly feel comfortable with Teach2000.
  5. Translate all the lines in the file.

Sections

  • [DIALOG_HEADERS] the headers of the standard dialog.
  • [DIALOG_CAPTIONS] the texts of the buttons of a dialog.
  • [TEXTS] all the texts in the application.
  • [CAPTIONS] the short texts displayed in the application.
  • [PRACTISE_HINTS] the hints that will be given to you, when you do a test.
  • [SCORES] the score in text.
  • [INTERFACE_LAYOUT] the contents of the input mode combo.
  • [INTERFACE_QUESTIONTYPE] the contents of the question type combo/advanced input mode.
  • [LABELS] the contents of the question label combo/advanced input mode.
  • [TESTTYPE] the contents of the question ask type combo/advanced input mode.
  • [INTERFACE_PRACTISELIST] the contents of the selection combo/test mode.
  • [INTERFACE_PRACTISEMODE] the contents of the ask combo/test mode.
  • [INTERFACE_PRACTISEORDER] the contents of the order combo/test mode.
  • [INTERFACE_PRACTISEKIND] the contents of the type combo/test mode.
  • [INTERFACE_PRACTISEREPEATING] the contents of the repetition combo/test mode.
  • [INTERFACE_PRACTISECHECKTYPE] the contents of the match combo/test mode.
  • [HINTS] the application hints, visible when you move the mouse over an option. These hints are separated by a pipe, for the short (balloon tip) and the long hint (status bar).
  • [TIPS_OF_THE_DAY] the tips of the day, grouped by subject.
  • [INTERFACE_TIP_OF_THE_DAY] the tip of the day options combo/tip of the day.
  • [LANGUAGES] the available languages in the dictionary/spelling checker.
  • [HTML_EXPORT] the parameters used for html generation.
Comments in the text are marked with ';'.

If your translation is ready, you can make us happy with it. It may even be included in the next version of Teach2000!

A new version of Teach2000 can include modifications and new items in the translation. These changes are marked with the following comment:

; *** New items version 8.17

back to start - advanced use


Back-up lists

When a document is saved, the previous version will be overwritten. But first the old version is moved to the recycle bin. All versions are 'saved' there. To delete them permanently, just empty the recycle bin.
This way, an accidentally overwritten file can be restored.

'Back-up to recycle bin' can be turned off. It is a setting.
back to start - advanced use


Encryption

Teach2000 supports encryption of its documents.
Encrypted lists can only be opened with a password.

If you want to use encryption, contact us for more details.
back to start - advanced use


Embed multimedia in document

Teach2000 supports embedding of multimedia files in its documents.
This way, the list itself will contain the images and sounds, instead of links to them.

If you want to use embedding, contact us for more details.
back to start - advanced use


Teach2000 online - memtrain.com

Memtrain.com is the online version of Teach2000. With memtrain.com it is possible to practise your exam, just before the test on a computer without Teach2000.

Documents can be opened, edited, tested and saved again.
(Or printed as a crib note. Ssssst.)

memtrain.com
back to start - advanced use


Did you know that...

Did you know that...
  • lists can be concatenated (joined together) through [File][Insert file]?
  • the settings of Teach2000 can be reset? Just uninstall Teach2000.
  • if you enter a url as a remark for a question, the remark is displayed as a url and the website is opened when you click on it?
  • if you add text in the remark after the symbols /*, you won't see this text in your test? Hidden comments are useful to administrate the source of the question.
    Example simple input mode:
    tafel = table { This part of the remark is visible /* This part is hidden! }
  • for a multi-line answer the key combination [CTRL][Enter] can be used?
  • Teach2000 is better than Selingua, according to a comparitive test by the Dutch magazine Computer!Totaal (C!T)?
  • Malmberg, the biggest Dutch educational publisher, publishes Teach2000 with its English methods Of Course and Worldwide,
    and with its German method Na Klar?

Useful short cuts:

  • F1: The most useful short cut - help.
  • CTRL-E: Answer is not wrong, but right.
  • CTRL-M: Give me a different question.
  • CTRL-S: Save.
  • CTRL-O: Open.
  • CTRL-P: Print.
  • CTRL-C: Copy.
  • CTRL-V: Paste.
  • CTRL-X: Cut.
  • [CTRL][Enter]: New line for multi line answer.

Parameters:

  • starting with parameter -ns prevents showing the splash screen?
  • starting with parameter -Business converts Teach2000 to a business application, without sounds and animations?
  • starting with parameter -nh prevents showing the balloon tips?
  • the parameter -nh is useless?
  • starting with parameter -Help or -? lets Teach2000 display the parameter options?
  • using the parameter -LOG for starting the installer, a log file will be created with all the steps of the installation?
  • a parameter can be added by choosing [Start][Run] with the following text: 'teach2000 -First'?

back to start - advanced use


File format

Teach2000 documents are saved in XML format. This is an open standard, so other applications can read and write question Teach2000 (.t2k) documents.

<teach2000> - Root node
<version>812</version> - Version of the document
<description>Normal</description> - Standard list
<message_data mm_files_embedded="0" encrypted="0"> - Multimedia is not embedded, the list is not encrypted
<font_question>Arial</font_question> - The font of the question
<font_answer>Arial</font_answer> - The font of the answer
<items> - Container of the questions
<item id="0"> - First question
<rf>0</rf> - This question contains no rich markup
<question>one</question> - Question
<answer>een</answer> - Answer
<errors>3</errors> - Number of wrong answers
<testcount>23</testcount> - Times asked
<sel>-1</sel> - This question is checked
<is_multiplechoice>N</is_multiplechoice> - No multiple choice question
</item>
...
</items>
<testresults> - Testresults, for the result chart
<testresult>
<score>10</score> - An A!
<diff>80</diff> - Difficulty level of this test
<comment></comment> - No comments added
<dt>2006-09-04T19:24:20.906</dt> - Date and time of the test
<duration>1899-12-30T00:01:11.406</duration> - Duration
<answerscorrect>10</answerscorrect> - Number of right answers
<wrongonce>0</wrongonce>
<wrongtwice>0</wrongtwice>
<wrongmorethantwice>0</wrongmorethantwice>
</testresult>
...
</testresults>
</message_data>
</teach2000>

Questions in rich format can be saved too. And multiple-choice questions.

<item id="0">
<rf>-1</rf> - This is a rich question
<question>"vr"&lt;b&gt;"aa"&lt;/b&gt;"g"</question> - The question with html tags, b, i, u, red/def, sub of sup
<qlbl>4</qlbl> - Label 4, alert!
<tt>1</tt> - Testtype 1, ask only Native-foreign
<alt_questions>vraag 2
vraag 3</alt_questions> - The synonyms of the question, separated by line breaks
<answer>antwoord</answer> - The answer, can contain line breaks
<second_answer>Antwoord 2</second_answer> - Synonym of the answer, can contain line breaks too
<alt_answers>antwoord 3
antwoord 4
antwoord 5
etc.</alt_answers> - More synonyms of the answer
<remarks>Extra informatie</remarks> - Extra info for this question
<errors>0</errors> - Never answered wrong
<testcount>2</testcount> - Tested twice
<soundfile>C:\My Documents\Geluid.mp3</soundfile> - Sound to play
<picturefile>C:\My Documents\Afbeelding.png</picturefile> - Image to show
<is_multiplechoice>N</is_multiplechoice> - No multiple choice
</item>
<item id="1">
<rf>0</rf> - No rich question
<question>meerkeuzevraag</question> - Question
<answer>A</answer> - Answer A is the right answer
<errors>0</errors> - Never answered wrong
<testcount>0</testcount> - Never questioned
<is_multiplechoice>Y</is_multiplechoice> - Multiple choice question
<mc_answers>
<mc_answer id="A">antwoord a (juiste antwoord)</mc_answer> - Option 1
<mc_answer id="B">antwoord b</mc_answer> - Option 2
<mc_answer id="C">antwoord c</mc_answer> - Option 3
</mc_answers>
</item>

back to start - advanced use


Index

Teach2000 help

This is the help text of the free flashcard application Teach2000.

You can find updates on the website of Teach2000.

Contents:
  • The installation
  • Input of the questions
  • Test
  • Print
  • Advanced use

copyright © 1997-2007 basement.nl / bas groot
while basement.nl makes every effort to deliver high-quality products, we do not guarantee that our products are free from defects
our software is provided “as is", and you use the software at your own risk